#ifndef COLUMN_HPP_
#define COLUMN_HPP_

#include <Widget/Layout/Layout.hpp>

/**
 * @brief A column layout which lays children out in a column.
 */
class Column : public Layout
{
public:
    template<typename... TChildren>
    Column(TChildren... children) : Layout(children...) {}

    virtual void layout() override;
    virtual glm::ivec2 getMinSize() override;
};

#endif